"""Module containing functionality to interact with the filesystem"""

import os
from pathlib import Path


def delete_files(file_list: list[str | Path]):
    """Delete all files in the provided file list

    Args:
        file_list: List of file paths as either strings or Path
    """
    for file in file_list:
        os.remove(file)
